﻿using HTMLEncodeTest.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace HTMLEncodeTest.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            if (Session["Data"] == null)
            {
                Session["Data"] = new TestModel();
            }
            return View(Session["Data"] as TestModel);
        }

        [HttpPost]
        public ActionResult SaveTestHtmlEditor(TestModel model)
        {
            TestModel storedModel = Session["Data"] as TestModel;
            storedModel.BodyText = HttpUtility.UrlDecode(model.BodyText);
            Session["Data"] = storedModel;
            return View("Index", Session["Data"]);
        }
    }
}